Chats
Get a chat thread
The thread with its messages and attached context.
GET
/
v1
/
chats
/
{id}
Get a chat thread
curl --request GET \
--url https://brewgravity.com/v1/chats/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://brewgravity.com/v1/chats/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://brewgravity.com/v1/chats/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"recipe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{}
],
"context": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
An API key created from a signed-in session. See Authentication.
Path Parameters
Chat thread id
Response
The thread
Unique identifier
Chat title, generated from the first message
Recipe this chat was started against
ISO 8601 timestamp
ISO 8601 timestamp
The thread's messages, oldest first
Recipes and sessions attached to the thread
⌘I
Get a chat thread
